VMTKIMAGEOBJECTENHANCEMENT(1)

NAME
vmtkimageobjectenhancement - vmtk script vmtkimageobjectenhancement

DESCRIPTION
Automatic piping vmtkimageobjectenhancement Parsing options vmtkimageobjectenhancement

vmtkimageobjectenhancement : compute a feature image for use in

    segmentation

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-sigmamin SigmaMin (float,1) >= 0.0; default=1.0

-sigmamax SigmaMax (float,1) >= 0.0; default=1.0

-sigmasteps NumberOfSigmaSteps (int,1) >= 0; default=1

-scaled ScaledObjectness (bool,1); default=0

-alpha Alpha (float,1) >= 0.0; default=0.5

-beta Beta (float,1) >= 0.0; default=0.5

-gamma Gamma (float,1) >= 0.0; default=5.0

-dimension ObjectDimension (int,1) >= 0 and <= 2; default=0

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

-oscalesfile ScalesImageOutputFileName (str,1): filename for the

    default ScalesImage writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-oscales ScalesImage (vtkImageData,1): the scales image